using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Diagnostics;
using NHibernate.Validator.Engine;
using System.Collections;
using NHibernate.Mapping;
using NHibernate.Validator.Constraints;

namespace ClassLibrary1
{
    [AttributeUsage(AttributeTargets.Field | AttributeTargets.Property)]
    [ValidatorClass(typeof(GenderValidator))]
    public class GenderAttribute : Attribute, IRuleArgs
    {
        /// <summary>
        /// Initializes a new instance of the GenderAttribute class.
        /// </summary>
        /// <param name="message"></param>
        public GenderAttribute(string message)
        {
            _message = message;
        }

        private string _message;
        public string Message
        {
            get
            {
                return _message;
            }
            set
            {
                _message = value;
            }
        }

    }
}
