using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Diagnostics;
using NHibernate.Validator.Engine;
using System.Collections;
using NHibernate.Mapping;
using NHibernate.Validator.Constraints;

namespace ClassLibrary1
{
    public class GenderValidator : IValidator, IPropertyConstraint
    {
        public void Apply(NHibernate.Mapping.Property property)
        {
            IEnumerator ie = property.ColumnIterator.GetEnumerator();
            ie.MoveNext();
            var col = (Column)ie.Current;
            col.CheckConstraint = String.Format("{0} = 'male' or {0} = 'female'", col.Name);
        }

        public bool IsValid(object value, IConstraintValidatorContext constraintValidatorContext)
        {
            var testValue = value as string;

            if (testValue == null) return false;

            if (testValue.ToLower() == "male" || testValue.ToLower() == "female")
                return true;
            else
                return false;
        }

    }
}
