using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using System.Diagnostics;
using NHibernate.Validator.Engine;
using System.Collections;
using NHibernate.Mapping;
using NHibernate.Validator.Constraints;

namespace ClassLibrary1
{
    public class Order
    {

        public virtual int OrderId { get; set; }

        private IList<Item> _items = new List<Item>();

        [Size(Min = 1, Message = "Sorry, you have to add an item to your order!"), Valid]
        public virtual IList<Item> Items
        {
            get
            {
                return _items;
            }
            set
            {
                _items = value;
            }
        }

        [Min(Value = 1, Message = "Ordernumber was too low!")]
        public virtual int Ordernumber { get; set; }

    }
}
